Subject: [Detnet] Update on draft-ietf-detnet-mpls

From: Balázs Varga A <[email-masked]>
Date: Mon, 6 Jul 2020 16:07:20 +0000

Hi Working Group,

Update of draft-ietf-detnet-mpls was uploaded recently. It is intended to resolve 
all the editorial related issues raised during the last weeks. A diff from the previous 
version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-detnet-mpls-08

Further proposed updates to clarify S-label related operations (i.e., allowing S-Label 
value per outgoing member flow after PRF) is available at:
https://github.com/detnet-wg/data-plane-drafts/compare/working/option1

Please, express your comments or any objections regarding these changes.

Cheers
Bala'zs (as the editor)

-----Original Message-----
From: detnet <[email-masked]> On Behalf Of [email-masked]
Sent: Monday, July 6, 2020 3:35 PM
To: [email-masked]
Cc: [email-masked]
Subject: [Detnet] I-D Action: draft-ietf-detnet-mpls-08.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Deterministic Networking WG of the IETF.

        Title           : DetNet Data Plane: MPLS
        Authors         : Balázs Varga
                          János Farkas
                          Lou Berger
                          Andrew G. Malis
                          Stewart Bryant
                          Jouni Korhonen
               Filename        : draft-ietf-detnet-mpls-08.txt
               Pages           : 31
               Date            : 2020-07-06

Abstract:
   This document specifies the Deterministic Networking data plane when
   operating over an MPLS Packet Switched Networks.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-detnet-mpls/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-detnet-mpls-08
https://datatracker.ietf.org/doc/html/draft-ietf-detnet-mpls-08

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-detnet-mpls-08

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
detnet mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/detnetHi Workgroup,

---

From: Jeong-dong Ryoo <[email-masked]>
Date: Thu, 09 Jul 2020 20:07:49 +0900 (KST)

Dear Bala'zs,

Thank you for updating the draft and proposing the GitHub text to address the issue related to S-Labels. They are all good and resolve all of my concerns.  

The following is a list of some editorial suggestions/comments that I came up with when I read the draft. I do not have any suggestions/comments for the GitHub text.
- Abstract: Networks --> Network
- 1st paragraph of Section 1: DetNet provides these flows extremely low packet loss rates --> DetNet provides these flows with extremely low packet loss rates 
- 2nd paragraph of Section 1: limited reordering --> limited out-of-order delivery
- 3rd paragraph of Section 1: What is the service sub-layer reference model? I cannot find it from this draft, or RFC 8655. RFC 8655 has a DetNet service reference model and a DetNet network general reference model. I am wondering if you intended one of those models. If the servie sub-layer reference model is shown in a different document, please give a reference.     
- 4th paragraph of Section 1:  I-D.ietf-detnet-ip-over-mpls seems to be more adequate than I-D.ietf-detnet-ip.
- Figure 3: Please, align the first row, so that "DetNet Service" can be shown correctly.
- Figure 3: MPLS DetNet End System --> DetNet MPLS End System
- Figure 3: The same DetNet member flow indication value, "DFa," is used in both ingress and egress sides. Maybe "DFb" for the egress side?
- 1st paragraph of Section 4.1: "DetNet flow group" is used without a definition or an explanation. You might want to erase "group"?.
- 1st paragraph of Section 4.2.2.1:  When replication is configure, --> When replication is configured,
- 3rd paragraph of Section 4.2.2.2: the maximum number sequence numbers that are tracked --> the maximum number of sequence numbers that are tracked
- 3rd paragraph of Section 4.2..2.2: I cannot parse the last sentence. Maybe "number" between "tracked" and "on either" should be removed?
- 2nd paragraph of Section 4.6.1: An acronym, ECN, appears first in this document. "MPLS ECN MAY also ..." --> "MPLS Explicit Congestion Notification (ECN) MAY also ..." 

I hope these can be reflected without too much trouble. Please, be aware that I am not a native English speaker and I may be wrong on some of them.

Best regards,

Jeong-dong

-----Original Message-----
From:  "Balázs Varga A" <balazs.a.varga=[email-masked]>
To:     "[email-masked]" <[email-masked]>; 
Cc:    
Sent:  2020-07-07 (화) 01:08:22 (UTC+09:00)
Subject: [Detnet] Update on draft-ietf-detnet-mpls

Hi Working Group,

Cheers
Bala'zs (as the editor)

-----Original Message-----
From: detnet <[email-masked]> On Behalf Of [email-masked]
Sent: Monday, July 6, 2020 3:35 PM
To: [email-masked]
Cc: [email-masked]
Subject: [Detnet] I-D Action: draft-ietf-detnet-mpls-08.txt

Abstract:

_______________________________________________
detnet mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/detnet

---

From: Balázs Varga A <[email-masked]>
Date: Fri, 10 Jul 2020 11:45:35 +0000

Dear Jeong-dong,

Thanks for your feedback and confirming that concerns were resolved.

I will forward your editorial suggestions/comments to the RFC-Editor.
They will be resolved when we reached that phase.

Many thanks
Bala'zs

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: Thursday, July 9, 2020 1:08 PM
To: [email-masked]; Balázs Varga A <[email-masked]>
Subject: RE: [Detnet] Update on draft-ietf-detnet-mpls

Dear Bala'zs,

Best regards,

Jeong-dong

-----Original Message-----
From:  "Balázs Varga A" <balazs.a.varga=[email-masked]>
To:     "[email-masked]" <[email-masked]>; 
Cc:    
Sent:  2020-07-07 (화) 01:08:22 (UTC+09:00)
Subject: [Detnet] Update on draft-ietf-detnet-mpls

Hi Working Group,

Update of draft-ietf-detnet-mpls was uploaded recently. It is intended to resolve all the editorial related issues raised during the last weeks. A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-detnet-mpls-08

Further proposed updates to clarify S-label related operations (i.e., allowing S-Label value per outgoing member flow after PRF) is available at:
https://protect2.fireeye.com/v1/url?k=8ee1082e-d041ca6b-8ee148b5-86b568293eb5-133d3347e3a1007e&q=1&e=98000bfb-542d-4ab5-bf4d-6ef1b44499d2&u=https%3A%2F%2Fgithub.com%2Fdetnet-wg%2Fdata-plane-drafts%2Fcompare%2Fworking%2Foption1

Cheers
Bala'zs (as the editor)

-----Original Message-----
From: detnet <[email-masked]> On Behalf Of [email-masked]
Sent: Monday, July 6, 2020 3:35 PM
To: [email-masked]
Cc: [email-masked]
Subject: [Detnet] I-D Action: draft-ietf-detnet-mpls-08.txt

Abstract:

---

From: Jeong-dong Ryoo <[email-masked]>
Date: Fri, 10 Jul 2020 21:47:35 +0900 (KST)

Hi, Bala'zs.

Thank you for your time and effort taken to this work.

Regarding the process of resolving the suggestions/comments that I sent, I am not sure if the RFC-Editor can change the text since some of the comments are not straight forward to incorporate, such as the ones on 3rd paragraph of Section 1, 4th paragraph of Section 1, and 1st paragraph of Section 4.1. 

Best regards,

Jeong-dong

-----Original Message-----
From:  "Balázs Varga A" <balazs.a.varga=[email-masked]>
To:     "[email-masked]" <[email-masked]>;  "[email-masked]" <[email-masked]>; 
Cc:    
Sent:  2020-07-10 (금) 20:45:59 (UTC+09:00)
Subject: Re: [Detnet] Update on draft-ietf-detnet-mpls

Dear Jeong-dong,

Many thanks
Bala'zs

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: Thursday, July 9, 2020 1:08 PM
To: [email-masked]; Balázs Varga A <[email-masked]>
Subject: RE: [Detnet] Update on draft-ietf-detnet-mpls

Dear Bala'zs,

Best regards,

Jeong-dong

-----Original Message-----
From:  "Balázs Varga A" <balazs.a.varga=[email-masked]>
To:     "[email-masked]" <[email-masked]>; 
Cc:    
Sent:  2020-07-07 (화) 01:08:22 (UTC+09:00)
Subject: [Detnet] Update on draft-ietf-detnet-mpls

Hi Working Group,

Cheers
Bala'zs (as the editor)

-----Original Message-----
From: detnet <[email-masked]> On Behalf Of [email-masked]
Sent: Monday, July 6, 2020 3:35 PM
To: [email-masked]
Cc: [email-masked]
Subject: [Detnet] I-D Action: draft-ietf-detnet-mpls-08.txt

Abstract: